ssl_error_unsupported_version error page has too many stop signs

VERIFIED FIXED in Firefox 41

Status

()

Firefox
Security
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: glob, Assigned: Gijs)

Tracking

({regression})

41 Branch
Firefox 42
regression
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox40 unaffected, firefox41+ verified, firefox42+ verified)

Details

(Whiteboard: [bugday-20150722], URL)

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8631446 [details]
Screenshot 2015-07-07 22.54.49.png

the error page ssl_error_unsupported_version error page has many stop signs.  many many stop signs.  some would say there are too many stop signs.

eg. https://mtsindia.in/

Comment 1

3 years ago
Tested in new profiles under Linux. Reproduced in Nightly 42 & Aurora 41, but no issue in Beta 40.
Version: unspecified → 41 Branch

Comment 2

3 years ago
11:56.99 LOG: MainThread Bisector INFO Last good revision: bea6758824d9
11:56.99 LOG: MainThread Bisector INFO First bad revision: 6b20dd2e20cc
11:56.99 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=bea6758824d9&tochange=6b20dd2e20cc

Looks like Bug 1147438, based on manually reverting the changes done there on a local m-i build.
Blocks: 1147438
(Assignee)

Comment 3

3 years ago
[Tracking Requested - why for this release]:
Serious UI regression.
status-firefox40: --- → unaffected
status-firefox41: --- → affected
status-firefox42: --- → affected
tracking-firefox41: --- → ?
Keywords: regression
(Assignee)

Updated

3 years ago
Flags: needinfo?(gijskruitbosch+bugs)

Comment 4

3 years ago
I agree it is indeed "toooo many" stop signs. Tracking for FF41 and 42.
tracking-firefox41: ? → +
tracking-firefox42: --- → +
(Assignee)

Comment 5

3 years ago
Created attachment 8632006 [details]
MozReview Request: Bug 1181963 - ssl v3 error has too many stop signs, r?jaws

Bug 1181963 - ssl v3 error has too many stop signs, r?jaws
Attachment #8632006 - Flags: review?(jaws)
(Assignee)

Updated

3 years ago
Assignee: nobody → gijskruitbosch+bugs
Status: NEW → ASSIGNED
Flags: needinfo?(gijskruitbosch+bugs)
Comment on attachment 8632006 [details]
MozReview Request: Bug 1181963 - ssl v3 error has too many stop signs, r?jaws

https://reviewboard.mozilla.org/r/12989/#review11563

Ship It!

::: browser/base/content/aboutNetError.xhtml:168
(Diff revision 1)
> -          errTitle.setAttribute("sslv3", "true");
> +          document.getElementById("errorTitle").setAttribute("sslv3", "true");

rs=me, but this function is pretty confusing with the errTitle variable being used for the descriptive text. I think it would be better if it was renamed to errTitleTextMessage or something. (Running out of names for all of the nested containers plus the actual text)
(Assignee)

Comment 8

3 years ago
Comment on attachment 8632006 [details]
MozReview Request: Bug 1181963 - ssl v3 error has too many stop signs, r?jaws

Approval Request Comment
[Feature/regressing bug #]: bug 1147438
[User impact if declined]: quite a lot of stop signs in the wrong place
[Describe test coverage new/current, TreeHerder]: nope
[Risks and why]: very low, minor CSS/JS change, we're still new to aurora 41.
[String/UUID change made/needed]: nope
Attachment #8632006 - Flags: approval-mozilla-aurora?
https://hg.mozilla.org/mozilla-central/rev/a1dde2c7ac76
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
status-firefox42: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 42

Comment 10

3 years ago
Comment on attachment 8632006 [details]
MozReview Request: Bug 1181963 - ssl v3 error has too many stop signs, r?jaws

Minor risk CSS/JS change.
Attachment #8632006 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
I have successfully reproduced the bug in Nightly 42.0a1 (2015-07-08)(Build ID: 20150708030204) on Linux x64 by following comment 0's instruction!

Bug is now fixed on Latest Nightly 42.0a1 (2015-07-21) (Build ID: 20150721030212) and

Latest Aurora 41.0a2 (2015-07-21) (Build ID: 20150721004010)

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:42.0) Gecko/20100101 Firefox/42.0
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:41.0) Gecko/20100101 Firefox/41.0
QA Whiteboard: [bugday-20150722]
Whiteboard: [bugday-20150722]

Comment 13

3 years ago
Reproduced this bug in Nightly 42.0a1 (2015-07-08)(Build ID: 20150708030204) on Windows 10 x64 by following comment 0!

The bug is fixed on Latest Nightly 42.0a1 (2015-07-21) (Build ID: 20150721030212),
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:42.0) Gecko/20100101 Firefox/42.0

Latest Aurora 41.0a2 (2015-07-21) (Build ID: 20150721004010),
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:41.0) Gecko/20100101 Firefox/41.0

[bugday-20150722]
It is verified on Linux and Windows (Comment 12 and Comment 13), Marking it as verified!
Status: RESOLVED → VERIFIED
status-firefox41: fixed → verified
status-firefox42: fixed → verified
You need to log in before you can comment on or make changes to this bug.